<?php
/**
 * Project  	SMS Newsletter by Ozeki
 * Release    	1.0.0
 * @package		SMS Newsletter
 * @subpackage	Subscription Module
 * @version		$Id$
 * @author		Ozeki Informatics Ltd.
 * @link 		http://www.ozekisms.com, http://sms-integration.com
 * @copyright	Copyright (c) 2000-2010 Ozeki Informatics Ltd. - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

/*
 *
 * This module provides the subscription functionality for 
 * the SMS Newsletter component. The users can subscribe 
 * to / or unsubscribe from the newsletter with this module. 
 *
 */
 

// no direct access
defined('_JEXEC') or die('Restricted access');

class modOzekismsNotificationHelper
{

//This function checks if the user is already subscribed
function ozCheckStatus($phonenum){
	global $mainframe;
	$database=& JFactory::getDBO();
	$q = 'SELECT `status` FROM `#__ozekisms_subscriptions` WHERE  phone_number = \'' . $phonenum . '\'';
	$database->setQuery( $q );	
	
	if (!($database->loadResult())){
		return true; //returns true if the user can subscribe
		}
		else 
			if (($database->loadResult()) == 'unsubscribed')
				return true;
			elseif (($database->loadResult()) == 'subscribed')
				return false; //returns false if the user is already subscribed
}

function ozNewsletterSubscribe($phonenum){
	global $mainframe;
	
	$database=& JFactory::getDBO();
	$q = 'SELECT `status` FROM `#__ozekisms_subscriptions` WHERE  phone_number = \'' . $phonenum . '\'';
	$database->setQuery( $q );	
	if (!($database->loadResult())){ //if the phone number is not yet in the database
			$query = 'INSERT INTO `#__ozekisms_subscriptions`(`phone_number` , `status`) VALUES (\'' . $phonenum . '\' , \'subscribed\')';
			$database->setQuery($query);
			$database->query();
		}
		elseif (($database->loadResult()) == unsubscribed){ //if the phone number is in the database, but unsubscribed
			$query = 'UPDATE `#__ozekisms_subscriptions` SET `status` = \'subscribed\' WHERE phone_number = \'' . $phonenum . '\';';
			$database->setQuery($query);
			$database->query();
		}
	echo 'Successfully subscribed to the SMS newsletter!';
}	

function ozNewsletterUnsubscribe($phonenum){
	global $mainframe;
	$database=& JFactory::getDBO();
	$query = 'UPDATE `#__ozekisms_subscriptions` SET `status` = \'unsubscribed\' WHERE phone_number = \'' . $phonenum . '\';';
	$database->setQuery($query);
			$database->query();
	echo 'Successfully unsubscribed to the SMS newsletter!';
}	

	function ozSendSMS($phone, $msg, $params){
	$debug = false;
	$ozeki_url = $params->get('ozeki_ip');
	$ozeki_user = $params->get('ozeki_user');
	$ozeki_password = $params->get('ozeki_password');
	$ozeki_httpport = $params->get('ozeki_httpport');
	  $url = 'http://'.$ozeki_url;
	  $url.= ':'.$ozeki_httpport.'/api?';
      $url.= 'username='.$ozeki_user;
      $url.= '&password='.$ozeki_password;
      $url.= '&action=sendmessage';
      $url.= '&messagetype=SMS:TEXT';
      $url.= '&recipient='.urlencode($phone);
      $url.= '&messagedata='.urlencode($msg);
	  
      $urltouse =  $url;
      $pattern = "/http...([0-9a-zA-Z-.]*).([0-9]*).(.*)/";
    preg_match($pattern,$urltouse,$args);
    $in = "";
    $fp = fsockopen("$args[1]", $args[2], $errno, $errstr, 30);
    if (!$fp) {
       return("$errstr ($errno)");
    } else {
        $out = "GET /$args[3] HTTP/1.1\r\n";
        $out .= "Host: $args[1]:$args[2]\r\n";
        $out .= "User-agent: Ozeki PHP client\r\n";
        $out .= "Accept: */*\r\n";
        $out .= "Connection: Close\r\n\r\n";

        fwrite($fp, $out);
        while (!feof($fp)) {
           $in.=fgets($fp, 128);
        }
    }
    fclose($fp);
	return($in);
	}
	
	


}