<?php 

/**
 * Project  	SMS Newsletter by Ozeki
 * Release    	1.0.0
 * @package		SMS Newsletter
 * @subpackage	Subscription Module
 * @version		$Id$
 * @author		Ozeki Informatics Ltd.
 * @link 		http://www.ozekisms.com, http://sms-integration.com
 * @copyright	Copyright (c) 2000-2010 Ozeki Informatics Ltd. - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

/*
 *
 * This module provides the subscription functionality for 
 * the SMS Newsletter component. The users can subscribe 
 * to / or unsubscribe from the newsletter with this module. 
 *
 */
 

defined('_JEXEC') or die('Direct access is forbidden!');

	$sms_div= '<div class="sms_send"><form method=post action="">';
	$sms_div.= '<p>Phone number: <input type="text" name="ozSubscribeNumber"></p> ';
	$sms_div.= '<input type="radio" name="ozSubscribeStatus" value="subscribe" checked> Subscribe<br>';
	$sms_div .= '<input type="radio" name="ozSubscribeStatus" value="unsubscribe"> Unsubscribe<br>';
	$sms_div.= '<p><input type="submit" name="save" value="Save settings"></p></form></div>';
	echo $sms_div;

	
	
if (!($_POST['ozSubscribeNumber'])){
	echo 'Please enter a valid phone number!';
	
	}else{
	if (($_POST['ozSubscribeStatus']) == 'subscribe'){ //this case the user want to subscribe
		if ((preg_match('/^[+].[0-9].*$/',$_POST['ozSubscribeNumber'])) || (preg_match('/^[0-9].*$/',$_POST['ozSubscribeNumber']))){
			$welcome_message = $params->get('subscription_message_enable');
			
			if (!(modOzekismsNotificationHelper::ozCheckStatus($_POST['ozSubscribeNumber'])))  		//check the subscription status
					echo 'You are already subscribed!'; 
				elseif ((modOzekismsNotificationHelper::ozCheckStatus($_POST['ozSubscribeNumber'])) == 1) //if the ozCheckStatus returns true, the user can subscribe to the newsletter.
					modOzekismsNotificationHelper::ozNewsletterSubscribe($_POST['ozSubscribeNumber']); 	//subscribes to the newsletter
					if ($welcome_message) {
						$msg = $params -> get('subscription_message');
						//sends the welcome message if it is enabled
						modOzekismsNotificationHelper::ozSendSMS($_POST['ozSubscribeNumber'], $params -> get('subscription_message'), $params);
					}
					
		}else {
			echo 'Invalid phone number! Please use the international phone number format!';
		}
	}	elseif (($_POST['ozSubscribeStatus']) == 'unsubscribe'){ //this case the user wants to unsubscribe
			$bye_message = $params->get('unsubscription_message_enable');
			modOzekismsNotificationHelper::ozNewsletterUnsubscribe($_POST['ozSubscribeNumber']);
			if ($bye_message){
			modOzekismsNotificationHelper::ozSendSMS($_POST['ozSubscribeNumber'], $params -> get('unsubscription_message'), $params);
			}
		}
	}

?>